using System;
using System.Collections.Generic;
using System.Text;
using Syncfusion.XlsIO;

namespace XlsIoPerformanceTest
{
	class Program
	{
		static void Main(string[] args)
		{
			long start = DateTime.Now.Ticks;
			CreateWorkbook();
			Console.WriteLine("Total time: {0}", new TimeSpan(DateTime.Now.Ticks - start));
			Console.ReadLine();
		}

		private static void CreateWorkbook()
		{
			using (ExcelEngine excelEngine = new ExcelEngine())
			{
				IApplication application = excelEngine.Excel;
				IWorkbook workbook = application.Workbooks.Create(7);
				foreach (IWorksheet worksheet in workbook.Worksheets)
					CreateWorkSheet(worksheet);
				workbook.SaveAs("Test.xls", ExcelSaveType.SaveAsXLS);
				workbook.Close();
			}
		}

		private static void CreateWorkSheet(IWorksheet sheet)
		{
			for (int row = 1; row < 50; row++)
				for (int column = 1; column < 20; column++)
				{
					IRange range = sheet.Range[row, column];
					if (row % 2 == 0)
						range.Text = DateTime.Now.ToString();
					else
					{
						range.Number = row * column;
						range.NumberFormat = "#,###0";
					}
				}
			for (int row = 100; row < 150; row++)
			{
				IRange range = sheet.Range[row, 1, row, 20];
				range.Text = DateTime.Now.ToString();
				range.Merge();
			}
		}
	}
}
